Package org.zkoss.zul

## Class SimpleHiLoModel

- java.lang.Object
- - org.zkoss.zul.AbstractChartModel
  - - org.zkoss.zul.SimpleHiLoModel

- All Implemented Interfaces:
    `java.io.Serializable`, `ChartModel`, `HiLoModel`

      public class SimpleHiLoModel
      extends AbstractChartModel
      implements HiLoModel

  A HiLo data model implementation of `HiLoModel`. A HiLo model is an model generally used in stock market to hold (date, open, high, low, close, volume) tuple data objects .
  Author:
    henrichen
  See Also:
    `HiLoModel`, `Chart`, Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.zul.AbstractChartModel

      `_listeners`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleHiLoModel()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addValue​(java.util.Date date, java.lang.Number open, java.lang.Number high, java.lang.Number low, java.lang.Number close, java.lang.Number volume)` | Append an (date, open, high, low, close, volumn) tuple.
    `void` | `addValue​(java.util.Date date, java.lang.Number open, java.lang.Number high, java.lang.Number low, java.lang.Number close, java.lang.Number volume, int index)` | Add an (date, open, high, low, close, volumn) tuple at specified index.
    `void` | `clear()` | clear this model.
    `java.lang.Object` | `clone()` |
    `java.lang.Number` | `getClose​(int index)` | Get close value of a specified data index.
    `int` | `getDataCount()` | Get data count.
    `java.util.Date` | `getDate​(int index)` | Get date of a specified data index.
    `java.lang.Number` | `getHigh​(int index)` | Get High value of a specified data index.
    `java.lang.Number` | `getLow​(int index)` | Get Low value of a specified data index.
    `java.lang.Number` | `getOpen​(int index)` | Get Open value of a specified data index.
    `java.lang.Comparable<?>` | `getSeries()` | Get the only series.
    `java.lang.Number` | `getVolume​(int index)` | Get volume value of a specified data index.
    `void` | `removeValue​(int index)` | Remove (date, open, high, low, close, volumn) tuple of a data index.
    `void` | `setSeries​(java.lang.Comparable<?> series)` | Set the only series.
    `void` | `setValue​(java.util.Date date, java.lang.Number open, java.lang.Number high, java.lang.Number low, java.lang.Number close, java.lang.Number volume, int index)` | Replace an (date, open, high, low, close, volumn) tuple at specified index.

    - ### Methods inherited from class org.zkoss.zul.AbstractChartModel

      `addChartDataListener, fireEvent, removeChartDataListener`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.zul.ChartModel

      `addChartDataListener, removeChartDataListener`

- - ### Constructor Detail

    - #### SimpleHiLoModel

          public SimpleHiLoModel()

  - ### Method Detail

    - #### getSeries

          public java.lang.Comparable<?> getSeries()

      Description copied from interface: `HiLoModel`
      Get the only series.
      Specified by:
        `getSeries` in interface `HiLoModel`

    - #### setSeries

          public void setSeries​(java.lang.Comparable<?> series)

      Description copied from interface: `HiLoModel`
      Set the only series.
      Specified by:
        `setSeries` in interface `HiLoModel`
      Parameters:
        `series` - the only series in legend.

    - #### getDataCount

          public int getDataCount()

      Description copied from interface: `HiLoModel`
      Get data count.
      Specified by:
        `getDataCount` in interface `HiLoModel`

    - #### getDate

          public java.util.Date getDate​(int index)

      Description copied from interface: `HiLoModel`
      Get date of a specified data index.
      Specified by:
        `getDate` in interface `HiLoModel`

    - #### getOpen

          public java.lang.Number getOpen​(int index)

      Description copied from interface: `HiLoModel`
      Get Open value of a specified data index.
      Specified by:
        `getOpen` in interface `HiLoModel`
      Parameters:
        `index` - the data index.

    - #### getHigh

          public java.lang.Number getHigh​(int index)

      Description copied from interface: `HiLoModel`
      Get High value of a specified data index.
      Specified by:
        `getHigh` in interface `HiLoModel`
      Parameters:
        `index` - the data index.

    - #### getLow

          public java.lang.Number getLow​(int index)

      Description copied from interface: `HiLoModel`
      Get Low value of a specified data index.
      Specified by:
        `getLow` in interface `HiLoModel`
      Parameters:
        `index` - the data index.

    - #### getClose

          public java.lang.Number getClose​(int index)

      Description copied from interface: `HiLoModel`
      Get close value of a specified data index.
      Specified by:
        `getClose` in interface `HiLoModel`
      Parameters:
        `index` - the data index.

    - #### getVolume

          public java.lang.Number getVolume​(int index)

      Description copied from interface: `HiLoModel`
      Get volume value of a specified data index.
      Specified by:
        `getVolume` in interface `HiLoModel`
      Parameters:
        `index` - the data index.

    - #### addValue

          public void addValue​(java.util.Date date,
                               java.lang.Number open,
                               java.lang.Number high,
                               java.lang.Number low,
                               java.lang.Number close,
                               java.lang.Number volume)

      Description copied from interface: `HiLoModel`
      Append an (date, open, high, low, close, volumn) tuple.
      Specified by:
        `addValue` in interface `HiLoModel`
      Parameters:
        `date` - the date
        `open` - the open value in the date.
        `high` - the high value in the date.
        `low` - the low value in the date.
        `close` - the close value in the date.
        `volume` - the trading volume in the date.

    - #### addValue

          public void addValue​(java.util.Date date,
                               java.lang.Number open,
                               java.lang.Number high,
                               java.lang.Number low,
                               java.lang.Number close,
                               java.lang.Number volume,
                               int index)

      Description copied from interface: `HiLoModel`
      Add an (date, open, high, low, close, volumn) tuple at specified index.
      Specified by:
        `addValue` in interface `HiLoModel`
      Parameters:
        `date` - the date
        `open` - the open value in the date.
        `high` - the high value in the date.
        `low` - the low value in the date.
        `close` - the close value in the date.
        `volume` - the trading volumn in the date.
        `index` - the data index

    - #### setValue

          public void setValue​(java.util.Date date,
                               java.lang.Number open,
                               java.lang.Number high,
                               java.lang.Number low,
                               java.lang.Number close,
                               java.lang.Number volume,
                               int index)

      Description copied from interface: `HiLoModel`
      Replace an (date, open, high, low, close, volumn) tuple at specified index.
      Specified by:
        `setValue` in interface `HiLoModel`
      Parameters:
        `date` - the date
        `open` - the open value in the date.
        `high` - the high value in the date.
        `low` - the low value in the date.
        `close` - the close value in the date.
        `volume` - the trading volumn in the date.
        `index` - the data index

    - #### removeValue

          public void removeValue​(int index)

      Description copied from interface: `HiLoModel`
      Remove (date, open, high, low, close, volumn) tuple of a data index.
      Specified by:
        `removeValue` in interface `HiLoModel`
      Parameters:
        `index` - the data index.

    - #### clear

          public void clear()

      Description copied from interface: `HiLoModel`
      clear this model.
      Specified by:
        `clear` in interface `HiLoModel`

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `AbstractChartModel`